--- base/test/test_file_util_posix.cc
+++ base/test/test_file_util_posix.cc
@@ -7,6 +7,7 @@
 #include <errno.h>
 #include <sys/types.h>
 #include <sys/stat.h>
+#include <fcntl.h>
 
 #include <string>
 
@@ -100,4 +101,14 @@ bool CopyRecursiveDirNoCache(const FilePath& source_dir,
   return success;
 }
 
+bool EvictFileFromSystemCache(const FilePath& file) {
+	  int fd = open(file.value().c_str(), O_RDONLY);
+	    if (fd < 0)
+		        return false;
+	      if (fsync(fd) != 0)
+		          return false;
+		  close(fd);
+		    return true;
+}
+
 }  // namespace file_util
diff --git base/test/test_suite.h base/test/test_suite.h
index 42ad027..7bb10d0 100644
